Stream
16 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.
PATCH /api/v1/streams
Mass edit stream configs.
Update multiple stream configs by IDs. The request body should be a JSON object containing only the fields to be updated.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
ids | query | array of integer | Yes | stream IDs |
body | body | app.StreamConfig | Yes | stream config fields need to update |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
POST /api/v1/streams
Create the stream.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
config | body | app.StreamConfig | Yes | stream config |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
PATCH /api/v1/streams/playlist/settings
Update playlist stream ordering and visibility.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
streams | body | array of integer | Yes | Ordered stream IDs to export |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
POST /api/v1/streams/reset-errors
Reset the stream errors.
Authentication: Authorization header (ApiKeyAuth)
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
GET /api/v1/streams/stats
Get the stats of all streams.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
fields | query | string | No | extra stream config fields to select, comma separated. eg: config.video_map,config.video_sync |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
GET /api/v1/streams/{id}
Get the stream config.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Stream ID |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
PATCH /api/v1/streams/{id}
Update the stream config.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Stream ID |
config | body | app.StreamConfig | Yes | stream config need to update |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
GET /api/v1/streams/{id}/details
Get the stream status details.
Authentication: Authorization header (ApiKeyAuth)
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
PATCH /api/v1/streams/{id}/dynamic-url
Update the stream source URLs dynamically.
the post URLs data supports following query parameters in URL.
decryption_keyupdate the decryption keyshttp_proxyupdate the http proxyheadersupdate the headers
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Stream ID |
urls | body | array of string | Yes | source strems URLs need to update dynamically |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
DELETE /api/v1/streams/{id}/logs
Delete stream logs.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Stream ID |
Responses
| Status | Description | Schema |
|---|---|---|
204 | No Content | — |
GET /api/v1/streams/{id}/logs
List stream logs.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Stream ID |
after | query | integer | No | Log sequence cursor; values less than or equal to 0 return all logs |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | array of utils.LogEntry |
GET /api/v1/streams/{id}/logs/download
Download stream logs.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Stream ID |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | file |
POST /api/v1/streams/{id}/restart
Restart the stream.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Stream ID or Name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
POST /api/v1/streams/{id}/start
Start the stream.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Stream ID or Name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
GET /api/v1/streams/{id}/stats
Get the stream stats by stream ID.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
fields | query | string | No | extra stream config fields to select, comma separated. eg: config.video_map,config.video_sync |
id | path | string | Yes | Stream ID |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
POST /api/v1/streams/{id}/stop
Stop the stream.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Stream ID or Name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |